diff --git a/ngx_http_upload_module.c b/ngx_http_upload_module.c
index 220464f..a60b30c 100644
--- a/ngx_http_upload_module.c
+++ b/ngx_http_upload_module.c
@@ -27,6 +27,7 @@
 #endif
 
 #define MULTIPART_FORM_DATA_STRING              "multipart/form-data"
+#define MULTIPART_MIXED_STRING                  "multipart/mixed"
 #define BOUNDARY_STRING                         "boundary="
 #define CONTENT_DISPOSITION_STRING              "Content-Disposition:"
 #define CONTENT_TYPE_STRING                     "Content-Type:"
@@ -2386,9 +2387,12 @@ static ngx_int_t upload_parse_content_type(ngx_http_upload_ctx_t *upload_ctx, ng
     }
 
     if(ngx_strncasecmp(content_type->data, (u_char*) MULTIPART_FORM_DATA_STRING,
-        sizeof(MULTIPART_FORM_DATA_STRING) - 1)) {
+        sizeof(MULTIPART_FORM_DATA_STRING) - 1) &&
+       ngx_strncasecmp(content_type->data, (u_char*) MULTIPART_MIXED_STRING,
+        sizeof(MULTIPART_MIXED_STRING) - 1))
+    {
         ngx_log_error(NGX_LOG_ERR, upload_ctx->log, 0,
-                       "Content-Type is not multipart/form-data: %V", content_type);
+                       "Content-Type is neither multipart/form-data nor multipart/mixed: %V", content_type);
         return NGX_HTTP_UNSUPPORTED_MEDIA_TYPE;
     }
 
